aboutsummaryrefslogtreecommitdiffstats
path: root/travis/check-sami-parse-errors.sh
diff options
context:
space:
mode:
authorAndreas Fischer <bantu@phpbb.com>2014-08-09 15:06:34 +0200
committerAndreas Fischer <bantu@phpbb.com>2014-08-09 15:58:04 +0200
commit873d1c6d575345619fb2c8ed65b9742dec59a338 (patch)
tree23ace06f484edfc5fb717868cf6b9406b9dbedf3 /travis/check-sami-parse-errors.sh
parent4f131c224817517b9c8e32bf0eb99bda79431d73 (diff)
downloadforums-873d1c6d575345619fb2c8ed65b9742dec59a338.tar
forums-873d1c6d575345619fb2c8ed65b9742dec59a338.tar.gz
forums-873d1c6d575345619fb2c8ed65b9742dec59a338.tar.bz2
forums-873d1c6d575345619fb2c8ed65b9742dec59a338.tar.xz
forums-873d1c6d575345619fb2c8ed65b9742dec59a338.zip
[ticket/12941] Check for Sami parse errors on Travis CI.
PHPBB3-12941
Diffstat (limited to 'travis/check-sami-parse-errors.sh')
-rwxr-xr-xtravis/check-sami-parse-errors.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/travis/check-sami-parse-errors.sh b/travis/check-sami-parse-errors.sh
new file mode 100755
index 0000000000..847c54a61a
--- /dev/null
+++ b/travis/check-sami-parse-errors.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# This file is part of the phpBB Forum Software package.
+#
+# @copyright (c) phpBB Limited <https://www.phpbb.com>
+# @license GNU General Public License, version 2 (GPL-2.0)
+#
+# For full copyright and license information, please see
+# the docs/CREDITS.txt file.
+#
+set -e
+
+DB=$1
+TRAVIS_PHP_VERSION=$2
+
+if [ "$TRAVIS_PHP_VERSION" == "5.3.3" -a "$DB" == "mysqli" ]
+then
+ # Workarounds for
+ # https://github.com/fabpot/Sami/issues/116
+ # and
+ # https://github.com/fabpot/Sami/issues/117
+ errors=$(
+ unbuffer phpBB/vendor/bin/sami.php parse travis/sami.conf.php -v | \
+ sed "s,\x1B\[[0-9;]*[a-zA-Z],,g" | \
+ grep "ERROR: " | \
+ tee /dev/tty | \
+ wc -l
+ )
+ if [ "$errors" != "0" ]
+ then
+ exit 1
+ fi
+fi